#include <ChannelEstImpl.h>
#include <ChannelEst.h>
#include "ucps2.h"
#include "ucpm2.h"
#include "common.h"
#include "ape_common.h"
#include "drv_ape.h"

void ChannelEstImpl(int *ConfigAddr, int *InAddr1, int *InAddr2, int *OutAddr)
{   

	for(int i=0;i<32;i++){
		InAddr1[i+1024] = InAddr1[i];
		InAddr2[i+1024] = InAddr2[i];
	}

    ChannelEst(ConfigAddr, MPU_ADDR(InAddr1),MPU_ADDR(InAddr2),MPU_ADDR(OutAddr));
	WAIT_MPU_STOP;
	ape_csu_task_lookup(DMA_TAG_G2L, 1);
	SVRReg[0] = MPU_ADDR(ConfigAddr);
	channelEstAsm(SVRReg);

	return;

}
